import { Renderer2, ElementRef } from '@angular/core';
export declare class ButtonComponent {
    private renderer;
    private elementRef;
    loading: any;
    private _loading;
    constructor(renderer: Renderer2, elementRef: ElementRef);
    updateState(): void;
}
